Bug 189133 - Kickstart: GPG/SSL keys edit page has activation key id instead of key id
Kickstart: GPG/SSL keys edit page has activation key id instead of key id
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Beth Nackashi
:
Depends On:
Blocks: rhn410-kickstart
  Show dependency treegraph
 
Reported: 2006-04-17 11:51 EDT by Mike McCune
Modified: 2007-10-29 21:58 EDT (History)
1 user (show)

See Also:
Fixed In Version: rhn410
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 16:50:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2006-04-17 11:51:00 EDT
The list on this page has the *wrong* ID in the select list.
Comment 1 Mike McCune 2006-04-20 10:28:46 EDT
working on this now
Comment 2 Mike McCune 2006-04-20 12:30:22 EDT
Clarification: The list linked to the wrong page, it was going to the Activation
Key page instead of the GPG/SSL edit page.
Comment 3 Mike McCune 2006-04-20 13:30:20 EDT
Another problem was that we were adding *ALL* the Org's GPG/SSL keys to the
profile and instead want to just add the SSL keys.  Plus we need to only do this
on the satellte.
Comment 4 Mike McCune 2006-04-21 17:51:05 EDT
TESTPLAN:

0) Create 2 new crypto keys for your org.  Navigate to Systems -> Kickstart ->   
   GPG and SSL Keys.  Create one SSL key and one GPG key.  The contents of the 
   key doesnt matter.  The important thing is that you have at least 2 keys in 
   your ORG, with 1 being SSL and the other being GPG.

1) Create a new Kickstart Profile

2) Make sure the links on the GPG/SSL page 
   (rhn/kickstart/KickstartCryptoKeysList.do) under the kickstart profile links
   to the proper key page:  

   rhn/keys/CryptoKeyEdit.do

3) Make sure that *ALL* the SSL keys listed in the GPG/SSL key page are selected
   but that the GPG keys are *not* selected.
Comment 5 Beth Nackashi 2006-04-22 14:35:23 EDT
bnackash is QA contact for all kickstart UI bugs
Comment 6 Mike McCune 2006-05-02 16:08:53 EDT
moving to ON_QA
Comment 7 Beth Nackashi 2006-05-26 12:09:36 EDT
Verified the following:

1- on sat (ISO -85):
   o  clicking on GPG & SSL Keys in side-nav brings up the correct page
   o  within a profile, clicking on System Details -> GPG & SSL brings up the
correct page, and only the SSL keys are checked.  The GPG key is not checked
until it is actually added to the profile.

2- on hosted:
   o  clicking on GPG & SSL Keys in side-nav brings up the correct page
   o  within a profile, clicking on System Details -> GPG & SSL brings up the
correct page.  None of the keys are checked until they are actually added to the
profile.
Comment 8 Beth Nackashi 2006-07-19 16:50:49 EDT
moving to closed - currentrelease

Note You need to log in before you can comment on or make changes to this bug.